Subject: Re: Documentation for tun interface?
To: None <tech-kern@NetBSD.ORG>
From: der Mouse <mouse@Holo.Rodents.Montreal.QC.CA>
List: tech-kern
Date: 12/28/1996 19:08:19
>> You mean, to make it apply to -current's tun driver?  No.  The PR
>> simply contains a new if_tun.[ch], not patches to the old one - a
>> diff would amount to quoting both the old and new code.

> Is it compatible at the API level?  I use the tunneling device for
> policy routing and I wouldn't like to lose that feature.

The driver in the PR is compatible in the sense that anything that can
be done with the old driver can be done with the new; it is not
compatible in the sense that binaries that ran with the old driver will
work equally well with the new.  (This is one reason I say it is not
ready to go into the tree.)

Of course, the driver in the PR is also not compatible with a current
kernel at all.  I have a version of it that drops into 1.2; I've
(temporarily, I trust) stopped tracking -current, so that's the newest
I have.

					der Mouse

		     7D C8 61 52 5D E7 2D 39  4E F1 31 3E E8 B3 27 4B